/*
 * pixmaps.cxx - part of SpiritVNC - FLTK
 * 2016-2021 Will Brokenbourgh https://www.pismotek.com/brainout/
 */

/*
 * (C) Will Brokenbourgh
 *
 * Redistribution and use in source and binary forms, with or without modification, are
 * permitted provided that the following conditions are met:
 *
 * 1. Redistributions of source code must retain the above copyright notice, this list of
 * conditions and the following disclaimer.
 *
 * 2. Redistributions in binary form must reproduce the above copyright notice, this list of
 * conditions and the following disclaimer in the documentation and/or other materials provided
 * with the distribution.
 *
 * 3. Neither the name of the copyright holder nor the names of its contributors may be used
 * to endorse or promote products derived from this software without specific prior written
 * permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS
 * OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
 * COPYRIGHT HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 * EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
 * GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED
 * AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
 * NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
 * OF THE POSSIBILITY OF SUCH DAMAGE.
 */


#include "pixmaps.h"

const char * pmBlank[] = {
  "16 16 1 1",
  "   c None",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                "
};

const char * pmListAddNew[] = {
  "16 16 2 1",
  "   c None",
  ".  c #404040",
  "                ",
  "                ",
  "       ..       ",
  "       ..       ",
  "       ..       ",
  "       ..       ",
  "       ..       ",
  "  ............  ",
  "  ............  ",
  "       ..       ",
  "       ..       ",
  "       ..       ",
  "       ..       ",
  "       ..       ",
  "                ",
  "                "
};

const char * pmListDelete[] = {
  "16 16 2 1",
  "   c None",
  ".  c #404040",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "  ............  ",
  "  ............  ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                ",
  "                "
};

const char * pmListDown[] = {
  "16 16 2 1",
  "   c None",
  ".  c #404040",
  "                ",
  "                ",
  "  ............  ",
  "  ............  ",
  "   ..........   ",
  "   ..........   ",
  "    ........    ",
  "    ........    ",
  "     ......     ",
  "     ......     ",
  "      ....      ",
  "      ....      ",
  "       ..       ",
  "       ..       ",
  "                ",
  "                "
};

const char * pmListListen[] = {
  "16 16 2 1",
  "   c None",
  ".  c #404040",
  "      .....     ",
  "     ..   ..    ",
  "    .  ... ..   ",
  "    . .  .  .   ",
  "   .  . ...     ",
  "   . .  . .     ",
  "   . . .. .     ",
  "   ..  .  .     ",
  "    .  .  .     ",
  "    .. .. .     ",
  "     .  ...     ",
  "     .          ",
  "     ..         ",
  "      .    .    ",
  "      ..  ..    ",
  "       ....     "
};

const char * pmListOptions[] = {
  "15 16 2 1",
  " 	c None",
  ".	c #404040",
  "               ",
  "  ...          ",
  " ............. ",
  " ............. ",
  "  ...          ",
  "               ",
  "      ...      ",
  " ............. ",
  " ............. ",
  "      ...      ",
  "               ",
  "    ...        ",
  " ............. ",
  " ............. ",
  "    ...        ",
  "               "
};

const char * pmListScan[] = {
  "16 16 2 1",
  "   c None",
  ".  c #404040",
  "                ",
  "     ......     ",
  "    ........    ",
  "   ..      ..   ",
  "  ....      ..  ",
  " ..  ..      .. ",
  " ..   ..     .. ",
  " ..   ...    .. ",
  " ..    ..    .. ",
  " ..          .. ",
  " ..          .. ",
  "  ..        ..  ",
  "   ..      ..   ",
  "    ........    ",
  "     ......     ",
  "                "
};

const char * pmListScanScanning[] = {
  "16 16 3 1",
  "   c None",
  ".  c #404040",
  "+  c #74D57D",
  "                ",
  "     ......     ",
  "    ........    ",
  "   ..++..++..   ",
  "  ....++++++..  ",
  " ..++..++++++.. ",
  " ..+++..+++++.. ",
  " ...++...+++... ",
  " ...+++..+++... ",
  " ..++++++++++.. ",
  " ..++++++++++.. ",
  "  ..++++++++..  ",
  "   ..++..++..   ",
  "    ........    ",
  "     ......     ",
  "                "
};

const char * pmListUp[] = {
  "16 16 2 1",
  "   c None",
  ".  c #404040",
  "                ",
  "                ",
  "       ..       ",
  "       ..       ",
  "      ....      ",
  "      ....      ",
  "     ......     ",
  "     ......     ",
  "    ........    ",
  "    ........    ",
  "   ..........   ",
  "   ..........   ",
  "  ............  ",
  "  ............  ",
  "                ",
  "                "
};

const char * pmStatusConnected[] = {
  "16 16 2 1",
  "   c None",
  ".  c #58BF55",
  "                ",
  "                ",
  "                ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "                ",
  "                ",
  "                "
};

const char * pmStatusConnecting[] = {
  "16 16 5 1",
  "   c None",
  ".  c #666666",
  "+  c #D5D5D5",
  "@  c #E8E8E8",
  "#  c #EFEFEF",
  "                ",
  "                ",
  "                ",
  "   ++++++++++   ",
  "   +@##..##@+   ",
  "   +###..###+   ",
  "   +###..###+   ",
  "   +###....#+   ",
  "   +###....#+   ",
  "   +########+   ",
  "   +########+   ",
  "   +@######@+   ",
  "   ++++++++++   ",
  "                ",
  "                ",
  "                "
};

const char * pmStatusDisconnected[] = {
  "16 16 2 1",
  "   c None",
  ".  c #D5D5D5",
  "                ",
  "                ",
  "                ",
  "   ..........   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   ..........   ",
  "                ",
  "                ",
  "                "
};

const char * pmStatusDisconnectedError[] = {
  "16 16 3 1",
  "   c None",
  ".  c #D4D4D4",
  "+  c #F3F16E",
  "                ",
  "                ",
  "                ",
  "   ..........   ",
  "   .++++++++.   ",
  "   .++++++++.   ",
  "   .++++++++.   ",
  "   .++++++++.   ",
  "   .++++++++.   ",
  "   .++++++++.   ",
  "   .++++++++.   ",
  "   .++++++++.   ",
  "   ..........   ",
  "                ",
  "                ",
  "                "
};

const char * pmStatusDisconnectedBigError[] = {
  "16 16 4 1",
  " 	c None",
  ".	c #D4D4D4",
  "+	c #C07271",
  "@	c #FFFFFF",
  "                ",
  "                ",
  "                ",
  "   ..........   ",
  "   .+++@@+++.   ",
  "   .+++@@+++.   ",
  "   .+++@@+++.   ",
  "   .+++@@+++.   ",
  "   .+++@@+++.   ",
  "   .++++++++.   ",
  "   .+++@@+++.   ",
  "   .+++@@+++.   ",
  "   ..........   ",
  "                ",
  "                ",
  "                "
};

const char * pmStatusNoConnect[] = {
  "16 16 2 1",
  "   c None",
  ".  c #BFBFBF",
  "                ",
  "                ",
  "                ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "   ..........   ",
  "                ",
  "                ",
  "                "
};

const char * pmStatusConnectedCB[] = {
  "16 16 4 1",
  "   c None",
  ".  c #666666",
  "+  c #D4D4D4",
  "@  c #EFEFEF",
  "                ",
  "                ",
  "                ",
  "   ++++++++++   ",
  "   +@@@..@@@+   ",
  "   +@@@..@@@+   ",
  "   +@@@..@@@+   ",
  "   +@@@..@@@+   ",
  "   +@@@..@@@+   ",
  "   +@@@..@@@+   ",
  "   +@@@..@@@+   ",
  "   +@@@..@@@+   ",
  "   ++++++++++   ",
  "                ",
  "                ",
  "                "
};

const char * pmStatusConnectingCB[] = {
  "16 16 5 1",
  "   c None",
  ".  c #666666",
  "+  c #D5D5D5",
  "@  c #E8E8E8",
  "#  c #EFEFEF",
  "                ",
  "                ",
  "                ",
  "   ++++++++++   ",
  "   +@##..##@+   ",
  "   +###..###+   ",
  "   +###..###+   ",
  "   +###....#+   ",
  "   +###....#+   ",
  "   +########+   ",
  "   +########+   ",
  "   +@######@+   ",
  "   ++++++++++   ",
  "                ",
  "                ",
  "                "
};

const char * pmStatusDisconnectedCB[] = {
  "16 16 2 1",
  "   c None",
  ".  c #D5D5D5",
  "                ",
  "                ",
  "                ",
  "   ..........   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   .        .   ",
  "   ..........   ",
  "                ",
  "                ",
  "                "
};

const char * pmStatusDisconnectedErrorCB[] = {
  "16 16 4 1",
  "   c None",
  ".  c #666666",
  "+  c #D4D4D4",
  "@  c #EFEFEF",
  "                ",
  "                ",
  "                ",
  "   ++++++++++   ",
  "   +@@@@@@..+   ",
  "   +@@@@@...+   ",
  "   +@@@@...@+   ",
  "   +@@@@@.@@+   ",
  "   +@@.@@@@@+   ",
  "   +@...@@@@+   ",
  "   +...@@@@@+   ",
  "   +..@@@@@@+   ",
  "   ++++++++++   ",
  "                ",
  "                ",
  "                "
};

const char * pmStatusDisconnectedBigErrorCB[] = {
  "16 16 4 1",
  " 	c None",
  ".	c #D4D4D4",
  "+	c #000000",
  "@	c #FFFFFF",
  "                ",
  "                ",
  "                ",
  "   ..........   ",
  "   .+++@@+++.   ",
  "   .+++@@+++.   ",
  "   .+++@@+++.   ",
  "   .+++@@+++.   ",
  "   .+++@@+++.   ",
  "   .++++++++.   ",
  "   .+++@@+++.   ",
  "   .+++@@+++.   ",
  "   ..........   ",
  "                ",
  "                ",
  "                "
};

const char * pmStatusNoConnectCB[] = {
  "16 16 4 1",
  "   c None",
  ".  c #666666",
  "+  c #BFBFBF",
  "@  c #EFEFEF",
  "                ",
  "                ",
  "                ",
  "   ++++++++++   ",
  "   +@@@@@@@@+   ",
  "   +@@@@@@@@+   ",
  "   +@@@@@@@@+   ",
  "   +........+   ",
  "   +........+   ",
  "   +@@@@@@@@+   ",
  "   +@@@@@@@@+   ",
  "   +@@@@@@@@+   ",
  "   ++++++++++   ",
  "                ",
  "                ",
  "                "
};

const char * pmListHelp[] = {
  "16 16 2 1",
  "   c None",
  ".  c #404040",
  "                ",
  "     ......     ",
  "    ........    ",
  "   ....  ....   ",
  "   ...    ...   ",
  "   ...    ...   ",
  "          ...   ",
  "        ...     ",
  "      ....      ",
  "      ...       ",
  "      ...       ",
  "                ",
  "      ...       ",
  "      ...       ",
  "      ...       ",
  "                "
};

const char * pmSpiritvnc_xpm[] = {
"22 22 173 2",
"  	c None",
". 	c #04A8A6",
"+ 	c #02AFAD",
"@ 	c #00B4B2",
"# 	c #00B3B0",
"$ 	c #07A8A6",
"% 	c #05A6A6",
"& 	c #07A6A5",
"* 	c #01B2B0",
"= 	c #078F8D",
"- 	c #0E6868",
"; 	c #09A09F",
"> 	c #106E6E",
", 	c #075857",
"' 	c #035958",
") 	c #075B5A",
"! 	c #126867",
"~ 	c #069292",
"{ 	c #09A5A3",
"] 	c #01B0AE",
"^ 	c #0D3939",
"/ 	c #0A9D9C",
"( 	c #00B0AE",
"_ 	c #00A7A5",
": 	c #049D9B",
"< 	c #093232",
"[ 	c #0C7271",
"} 	c #00DA13",
"| 	c #00BD06",
"1 	c #049695",
"2 	c #00B1AF",
"3 	c #009994",
"4 	c #00C454",
"5 	c #01AD50",
"6 	c #01890A",
"7 	c #00B00E",
"8 	c #00DC13",
"9 	c #008B0A",
"0 	c #00CC11",
"a 	c #00D912",
"b 	c #00B70F",
"c 	c #00D913",
"d 	c #00EB13",
"e 	c #03847E",
"f 	c #00AAA8",
"g 	c #009269",
"h 	c #00F919",
"i 	c #019F4E",
"j 	c #02A73D",
"k 	c #00F616",
"l 	c #018B0C",
"m 	c #00F116",
"n 	c #00A90E",
"o 	c #00B90F",
"p 	c #00F717",
"q 	c #00EC15",
"r 	c #00E114",
"s 	c #00ED16",
"t 	c #00A20D",
"u 	c #00FA17",
"v 	c #03965C",
"w 	c #009593",
"x 	c #00C241",
"y 	c #00EB24",
"z 	c #007D75",
"A 	c #00AE4F",
"B 	c #00FF17",
"C 	c #00E71B",
"D 	c #037559",
"E 	c #05734E",
"F 	c #00F017",
"G 	c #00A30D",
"H 	c #00F617",
"I 	c #00D313",
"J 	c #00EC16",
"K 	c #02C427",
"L 	c #017067",
"M 	c #00EC21",
"N 	c #00BE45",
"O 	c #009190",
"P 	c #00AF52",
"Q 	c #00F317",
"R 	c #00EC18",
"S 	c #00D332",
"T 	c #007453",
"U 	c #00F018",
"V 	c #029A30",
"W 	c #01AF1B",
"X 	c #007908",
"Y 	c #00C711",
"Z 	c #00E915",
"` 	c #00991B",
" .	c #00F71B",
"..	c #008E6E",
"+.	c #00A09F",
"@.	c #00B052",
"#.	c #00E919",
"$.	c #008B38",
"%.	c #00F41B",
"&.	c #00BC20",
"*.	c #00EF17",
"=.	c #009D4C",
"-.	c #00B845",
";.	c #00FB17",
">.	c #00E815",
",.	c #00D716",
"'.	c #066B67",
").	c #0A8A89",
"!.	c #00EA1B",
"~.	c #007B6C",
"{.	c #00AC4E",
"].	c #00FB18",
"^.	c #009F4F",
"/.	c #00A153",
"(.	c #00F918",
"_.	c #00870A",
":.	c #00E415",
"<.	c #00FE18",
"[.	c #00AA11",
"}.	c #00EA18",
"|.	c #087160",
"1.	c #018A87",
"2.	c #00C43E",
"3.	c #00A256",
"4.	c #008374",
"5.	c #00EE23",
"6.	c #00E414",
"7.	c #008F09",
"8.	c #00C611",
"9.	c #00BC10",
"0.	c #00EE16",
"a.	c #00BB10",
"b.	c #086462",
"c.	c #008F83",
"d.	c #00DE2F",
"e.	c #00AA5F",
"f.	c #009B99",
"g.	c #02965B",
"h.	c #00F316",
"i.	c #00EF16",
"j.	c #00ABA9",
"k.	c #009E8C",
"l.	c #00A294",
"m.	c #00AFAD",
"n.	c #028786",
"o.	c #00B1B0",
"p.	c #07A09F",
"q.	c #04A8A8",
"r.	c #00B2B0",
"s.	c #00B3B1",
"t.	c #0F5E5D",
"u.	c #01B2B1",
"v.	c #03ABAB",
"w.	c #0C9F9E",
"x.	c #03A5A3",
"y.	c #01A8A6",
"z.	c #0AA3A2",
"A.	c #079C9A",
"B.	c #07A5A3",
"C.	c #0C4948",
"D.	c #04ADAB",
"E.	c #03AFAD",
"F.	c #099392",
"G.	c #094746",
"H.	c #087876",
"I.	c #0F8787",
"J.	c #02A2A2",
"K.	c #06A2A0",
"L.	c #09A2A1",
"M.	c #07A2A0",
"N.	c #02A0A0",
"O.	c #10807F",
"P.	c #085C5B",
"                                            ",
"              . + @ @ @ @ @ # $ %           ",
"          & * @ @ @ @ @ @ @ @ @ @ =         ",
"        & @ @ @ @ @ @ @ @ @ @ @ * -         ",
"        * @ @ @ ; > , ' ) ! ~ { ] ^         ",
"      / @ ( _ : <               [           ",
"  } | 1 2 3 4 5 6 7       8       9 0 a b   ",
"  c d e f g h i j k l     m n   o p q r s   ",
"  t u v w x y z A B C D E F G   H I         ",
"    J K L M N O P Q R S T U V W u X         ",
"    Y Z `  ...+.@.#.$.%.&.*.=.-.;.          ",
"      p >.,.'.).A !.~.{.].B ^./.(._.        ",
"      :.<.n     [.}.|.1.2.B 3.4.5.6.7.  8.  ",
"      9.0.      a.s   b.c.d.e.f.g.>.H h.i.  ",
"                        j.k.l.m.n.          ",
"    o.p.              q.@ 2 r.s.t.          ",
"    @ @ u.v.w.x.y.z.+ @ @ @ @ A.            ",
"    @ @ @ @ @ @ @ @ @ @ @ @ B.C.            ",
"    D.@ @ @ @ @ @ @ @ @ E.F.G.              ",
"      H.I.J.K.L.L.M.N.O.P.                  ",
"                                            ",
"                                            "
};
